ApiOzoneSnapshotResult (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneSnapshotResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneSnapshotResult

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneSnapshotResult
      extends Object

  Detailed information about an Ozone snapshot command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneSnapshotResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneSnapshotResult` | `addCreatedSnapshotsItem(ApiOzoneSnapshotDetails createdSnapshotsItem)`
    `ApiOzoneSnapshotResult` | `addCreationErrorsItem(ApiOzoneSnapshotError creationErrorsItem)`
    `ApiOzoneSnapshotResult` | `addDeletedSnapshotsItem(ApiOzoneSnapshotDetails deletedSnapshotsItem)`
    `ApiOzoneSnapshotResult` | `addDeletionErrorsItem(ApiOzoneSnapshotError deletionErrorsItem)`
    `ApiOzoneSnapshotResult` | `addProcessedBucketsItem(String processedBucketsItem)`
    `ApiOzoneSnapshotResult` | `addUnprocessedBucketsItem(String unprocessedBucketsItem)`
    `ApiOzoneSnapshotResult` | `createdSnapshotCount(BigDecimal createdSnapshotCount)`
    `ApiOzoneSnapshotResult` | `createdSnapshots(List<ApiOzoneSnapshotDetails> createdSnapshots)`
    `ApiOzoneSnapshotResult` | `creationErrorCount(BigDecimal creationErrorCount)`
    `ApiOzoneSnapshotResult` | `creationErrors(List<ApiOzoneSnapshotError> creationErrors)`
    `ApiOzoneSnapshotResult` | `deletedSnapshotCount(BigDecimal deletedSnapshotCount)`
    `ApiOzoneSnapshotResult` | `deletedSnapshots(List<ApiOzoneSnapshotDetails> deletedSnapshots)`
    `ApiOzoneSnapshotResult` | `deletionErrorCount(BigDecimal deletionErrorCount)`
    `ApiOzoneSnapshotResult` | `deletionErrors(List<ApiOzoneSnapshotError> deletionErrors)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCreatedSnapshotCount()` Number of snapshots created.
    `List<ApiOzoneSnapshotDetails>` | `getCreatedSnapshots()` List of snapshots created.
    `BigDecimal` | `getCreationErrorCount()` Number of errors detected when creating snapshots.
    `List<ApiOzoneSnapshotError>` | `getCreationErrors()` List of errors encountered when creating snapshots.
    `BigDecimal` | `getDeletedSnapshotCount()` Number of snapshots deleted.
    `List<ApiOzoneSnapshotDetails>` | `getDeletedSnapshots()` List of snapshots deleted.
    `BigDecimal` | `getDeletionErrorCount()` Number of errors detected when deleting snapshots.
    `List<ApiOzoneSnapshotError>` | `getDeletionErrors()` List of errors encountered when deleting snapshots.
    `BigDecimal` | `getProcessedBucketCount()` Number of processed paths.
    `List<String>` | `getProcessedBuckets()` The list of processed paths.
    `BigDecimal` | `getUnprocessedBucketCount()` Number of unprocessed paths.
    `List<String>` | `getUnprocessedBuckets()` The list of unprocessed paths.
    `int` | `hashCode()`
    `ApiOzoneSnapshotResult` | `processedBucketCount(BigDecimal processedBucketCount)`
    `ApiOzoneSnapshotResult` | `processedBuckets(List<String> processedBuckets)`
    `void` | `setCreatedSnapshotCount(BigDecimal createdSnapshotCount)`
    `void` | `setCreatedSnapshots(List<ApiOzoneSnapshotDetails> createdSnapshots)`
    `void` | `setCreationErrorCount(BigDecimal creationErrorCount)`
    `void` | `setCreationErrors(List<ApiOzoneSnapshotError> creationErrors)`
    `void` | `setDeletedSnapshotCount(BigDecimal deletedSnapshotCount)`
    `void` | `setDeletedSnapshots(List<ApiOzoneSnapshotDetails> deletedSnapshots)`
    `void` | `setDeletionErrorCount(BigDecimal deletionErrorCount)`
    `void` | `setDeletionErrors(List<ApiOzoneSnapshotError> deletionErrors)`
    `void` | `setProcessedBucketCount(BigDecimal processedBucketCount)`
    `void` | `setProcessedBuckets(List<String> processedBuckets)`
    `void` | `setUnprocessedBucketCount(BigDecimal unprocessedBucketCount)`
    `void` | `setUnprocessedBuckets(List<String> unprocessedBuckets)`
    `String` | `toString()`
    `ApiOzoneSnapshotResult` | `unprocessedBucketCount(BigDecimal unprocessedBucketCount)`
    `ApiOzoneSnapshotResult` | `unprocessedBuckets(List<String> unprocessedBuckets)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneSnapshotResult

          public ApiOzoneSnapshotResult()

  - ### Method Detail

    - #### processedBucketCount

          public ApiOzoneSnapshotResult processedBucketCount(BigDecimal processedBucketCount)

    - #### getProcessedBucketCount

          public BigDecimal getProcessedBucketCount()

      Number of processed paths.
      Returns:
        processedBucketCount

    - #### setProcessedBucketCount

          public void setProcessedBucketCount(BigDecimal processedBucketCount)

    - #### processedBuckets

          public ApiOzoneSnapshotResult processedBuckets(List<String> processedBuckets)

    - #### addProcessedBucketsItem

          public ApiOzoneSnapshotResult addProcessedBucketsItem(String processedBucketsItem)

    - #### getProcessedBuckets

          public List<String> getProcessedBuckets()

      The list of processed paths. This is only available in the full view.
      Returns:
        processedBuckets

    - #### setProcessedBuckets

          public void setProcessedBuckets(List<String> processedBuckets)

    - #### unprocessedBucketCount

          public ApiOzoneSnapshotResult unprocessedBucketCount(BigDecimal unprocessedBucketCount)

    - #### getUnprocessedBucketCount

          public BigDecimal getUnprocessedBucketCount()

      Number of unprocessed paths.
      Returns:
        unprocessedBucketCount

    - #### setUnprocessedBucketCount

          public void setUnprocessedBucketCount(BigDecimal unprocessedBucketCount)

    - #### unprocessedBuckets

          public ApiOzoneSnapshotResult unprocessedBuckets(List<String> unprocessedBuckets)

    - #### addUnprocessedBucketsItem

          public ApiOzoneSnapshotResult addUnprocessedBucketsItem(String unprocessedBucketsItem)

    - #### getUnprocessedBuckets

          public List<String> getUnprocessedBuckets()

      The list of unprocessed paths. Note that paths that are currently being processed will also be included in this list. This is only available in the full view.
      Returns:
        unprocessedBuckets

    - #### setUnprocessedBuckets

          public void setUnprocessedBuckets(List<String> unprocessedBuckets)

    - #### createdSnapshotCount

          public ApiOzoneSnapshotResult createdSnapshotCount(BigDecimal createdSnapshotCount)

    - #### getCreatedSnapshotCount

          public BigDecimal getCreatedSnapshotCount()

      Number of snapshots created.
      Returns:
        createdSnapshotCount

    - #### setCreatedSnapshotCount

          public void setCreatedSnapshotCount(BigDecimal createdSnapshotCount)

    - #### createdSnapshots

          public ApiOzoneSnapshotResult createdSnapshots(List<ApiOzoneSnapshotDetails> createdSnapshots)

    - #### addCreatedSnapshotsItem

          public ApiOzoneSnapshotResult addCreatedSnapshotsItem(ApiOzoneSnapshotDetails createdSnapshotsItem)

    - #### getCreatedSnapshots

          public List<ApiOzoneSnapshotDetails> getCreatedSnapshots()

      List of snapshots created. <p/> This is only available in the full view.
      Returns:
        createdSnapshots

    - #### setCreatedSnapshots

          public void setCreatedSnapshots(List<ApiOzoneSnapshotDetails> createdSnapshots)

    - #### deletedSnapshotCount

          public ApiOzoneSnapshotResult deletedSnapshotCount(BigDecimal deletedSnapshotCount)

    - #### getDeletedSnapshotCount

          public BigDecimal getDeletedSnapshotCount()

      Number of snapshots deleted.
      Returns:
        deletedSnapshotCount

    - #### setDeletedSnapshotCount

          public void setDeletedSnapshotCount(BigDecimal deletedSnapshotCount)

    - #### deletedSnapshots

          public ApiOzoneSnapshotResult deletedSnapshots(List<ApiOzoneSnapshotDetails> deletedSnapshots)

    - #### addDeletedSnapshotsItem

          public ApiOzoneSnapshotResult addDeletedSnapshotsItem(ApiOzoneSnapshotDetails deletedSnapshotsItem)

    - #### getDeletedSnapshots

          public List<ApiOzoneSnapshotDetails> getDeletedSnapshots()

      List of snapshots deleted. This is only available in the full view.
      Returns:
        deletedSnapshots

    - #### setDeletedSnapshots

          public void setDeletedSnapshots(List<ApiOzoneSnapshotDetails> deletedSnapshots)

    - #### creationErrorCount

          public ApiOzoneSnapshotResult creationErrorCount(BigDecimal creationErrorCount)

    - #### getCreationErrorCount

          public BigDecimal getCreationErrorCount()

      Number of errors detected when creating snapshots.
      Returns:
        creationErrorCount

    - #### setCreationErrorCount

          public void setCreationErrorCount(BigDecimal creationErrorCount)

    - #### creationErrors

          public ApiOzoneSnapshotResult creationErrors(List<ApiOzoneSnapshotError> creationErrors)

    - #### addCreationErrorsItem

          public ApiOzoneSnapshotResult addCreationErrorsItem(ApiOzoneSnapshotError creationErrorsItem)

    - #### getCreationErrors

          public List<ApiOzoneSnapshotError> getCreationErrors()

      List of errors encountered when creating snapshots. This is only available in the full view.
      Returns:
        creationErrors

    - #### setCreationErrors

          public void setCreationErrors(List<ApiOzoneSnapshotError> creationErrors)

    - #### deletionErrorCount

          public ApiOzoneSnapshotResult deletionErrorCount(BigDecimal deletionErrorCount)

    - #### getDeletionErrorCount

          public BigDecimal getDeletionErrorCount()

      Number of errors detected when deleting snapshots.
      Returns:
        deletionErrorCount

    - #### setDeletionErrorCount

          public void setDeletionErrorCount(BigDecimal deletionErrorCount)

    - #### deletionErrors

          public ApiOzoneSnapshotResult deletionErrors(List<ApiOzoneSnapshotError> deletionErrors)

    - #### addDeletionErrorsItem

          public ApiOzoneSnapshotResult addDeletionErrorsItem(ApiOzoneSnapshotError deletionErrorsItem)

    - #### getDeletionErrors

          public List<ApiOzoneSnapshotError> getDeletionErrors()

      List of errors encountered when deleting snapshots. This is only available in the full view.
      Returns:
        deletionErrors

    - #### setDeletionErrors

          public void setDeletionErrors(List<ApiOzoneSnapshotError> deletionErrors)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.